<?
if (isset($_GET['ref'])) {
$id = abs(intval($_GET['ref']));
$ref=mysql_fetch_array (mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$id' LIMIT 1"));
if (!empty($ref)) {
$_SESSION['ref']=$ref['id'];
}
}
if(isset($_GET['auth']))
{
include_once 'inc/auth.php';
}
elseif(isset($_GET['regi']))
{
include_once 'inc/newreg.php';
}
elseif(isset($_GET['pass']))
{
include_once 'inc/pass.php';
}
elseif(isset($_GET['autologin']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `autologin` = '".hsc($_GET['autologin'])."'"),0)!=0)
{
$_SESSION['id_user']=mysql_result(mysql_query("SELECT `id` FROM `kolhoz_user` WHERE `autologin` = '".hsc($_GET['autologin'])."'"),0);
header("Location:?myfarm&autologin=".hsc($_GET['autologin']));
exit;
}
else err_game("Неверная ссылка автологина!");
}
echo "<div></div><div></div>";

echo "<div class='block'>";
echo "<center><img src='images/logo6.png' alt='o'></center>";
echo "</div>";
echo "<div class='block'><img width='16' height='16' src='images/icons/login.png' alt='o'> <a href='?auth'>Вход</a></div>";
echo "<div class='block'><img width='16' height='16' src='images/icons/login.png' alt='o'> <a href='?regi'>Регистрация</a></div>";
echo "</div>";
echo "<div class='block event'>";
echo "Онлайн <span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `date_last` > '".(time()-600)."'"), 0)."</span>, регистраций
<span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"), 0)."</span></div>";
echo "</div>";
echo "<div></div><div style='text-align:center;' class='pt small minor'>Добавь в закладки ";
echo "<a href='http://$_SERVER[HTTP_HOST]' class='epic'><span>$_SERVER[HTTP_HOST]</span></a><br><br>";
echo "<div class='smalltext'><center>Мы не занимаемся пропагандой наркотических веществ.<br>
Мы напоминаем вам, что их нельзя употреблять и тем более распространять.<br><br><img src='images/18+.png'> </center></div>";
?>